package domain

import (
	"topsdk/util"
)

type AlibabaWdkMarketingPricePromotionPriceDO struct {
	/*
	   促销说明     */
	PromotionReason *string `json:"promotion_reason,omitempty" `

	/*
	   记录标识     */
	Id *int64 `json:"id,omitempty" `

	/*
	   店铺编码     */
	ShopCode *string `json:"shop_code,omitempty" `

	/*
	   促销类型     */
	PromotionType *string `json:"promotion_type,omitempty" `

	/*
	   店铺标识     */
	ShopId *int64 `json:"shop_id,omitempty" `

	/*
	   促销开始时间     */
	PromotionStart *util.LocalTime `json:"promotion_start,omitempty" `

	/*
	   促销赠品信息     */
	PromotionGiftInfo *string `json:"promotion_gift_info,omitempty" `

	/*
	   促销结束时间     */
	PromotionEnd *util.LocalTime `json:"promotion_end,omitempty" `

	/*
	   商家编码     */
	MerchantCode *string `json:"merchant_code,omitempty" `

	/*
	   促销价格     */
	PromotionPrice *int64 `json:"promotion_price,omitempty" `

	/*
	   商品编码     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   是否参加了促销     */
	IfPromotion *int64 `json:"if_promotion,omitempty" `

	/*
	   会员促销价结束时间     */
	MemberPromotionEndTime *util.LocalTime `json:"member_promotion_end_time,omitempty" `

	/*
	   会员促销价开始时间     */
	MemberPromotionStartTime *util.LocalTime `json:"member_promotion_start_time,omitempty" `

	/*
	   会员促销价     */
	MemberPromotionPrice *int64 `json:"member_promotion_price,omitempty" `

	/*
	   会员促销活动类型     */
	MemberPromotionType *string `json:"member_promotion_type,omitempty" `
}

func (s *AlibabaWdkMarketingPricePromotionPriceDO) SetPromotionReason(v string) *AlibabaWdkMarketingPricePromotionPriceDO {
	s.PromotionReason = &v
	return s
}
func (s *AlibabaWdkMarketingPricePromotionPriceDO) SetId(v int64) *AlibabaWdkMarketingPricePromotionPriceDO {
	s.Id = &v
	return s
}
func (s *AlibabaWdkMarketingPricePromotionPriceDO) SetShopCode(v string) *AlibabaWdkMarketingPricePromotionPriceDO {
	s.ShopCode = &v
	return s
}
func (s *AlibabaWdkMarketingPricePromotionPriceDO) SetPromotionType(v string) *AlibabaWdkMarketingPricePromotionPriceDO {
	s.PromotionType = &v
	return s
}
func (s *AlibabaWdkMarketingPricePromotionPriceDO) SetShopId(v int64) *AlibabaWdkMarketingPricePromotionPriceDO {
	s.ShopId = &v
	return s
}
func (s *AlibabaWdkMarketingPricePromotionPriceDO) SetPromotionStart(v util.LocalTime) *AlibabaWdkMarketingPricePromotionPriceDO {
	s.PromotionStart = &v
	return s
}
func (s *AlibabaWdkMarketingPricePromotionPriceDO) SetPromotionGiftInfo(v string) *AlibabaWdkMarketingPricePromotionPriceDO {
	s.PromotionGiftInfo = &v
	return s
}
func (s *AlibabaWdkMarketingPricePromotionPriceDO) SetPromotionEnd(v util.LocalTime) *AlibabaWdkMarketingPricePromotionPriceDO {
	s.PromotionEnd = &v
	return s
}
func (s *AlibabaWdkMarketingPricePromotionPriceDO) SetMerchantCode(v string) *AlibabaWdkMarketingPricePromotionPriceDO {
	s.MerchantCode = &v
	return s
}
func (s *AlibabaWdkMarketingPricePromotionPriceDO) SetPromotionPrice(v int64) *AlibabaWdkMarketingPricePromotionPriceDO {
	s.PromotionPrice = &v
	return s
}
func (s *AlibabaWdkMarketingPricePromotionPriceDO) SetSkuCode(v string) *AlibabaWdkMarketingPricePromotionPriceDO {
	s.SkuCode = &v
	return s
}
func (s *AlibabaWdkMarketingPricePromotionPriceDO) SetIfPromotion(v int64) *AlibabaWdkMarketingPricePromotionPriceDO {
	s.IfPromotion = &v
	return s
}
func (s *AlibabaWdkMarketingPricePromotionPriceDO) SetMemberPromotionEndTime(v util.LocalTime) *AlibabaWdkMarketingPricePromotionPriceDO {
	s.MemberPromotionEndTime = &v
	return s
}
func (s *AlibabaWdkMarketingPricePromotionPriceDO) SetMemberPromotionStartTime(v util.LocalTime) *AlibabaWdkMarketingPricePromotionPriceDO {
	s.MemberPromotionStartTime = &v
	return s
}
func (s *AlibabaWdkMarketingPricePromotionPriceDO) SetMemberPromotionPrice(v int64) *AlibabaWdkMarketingPricePromotionPriceDO {
	s.MemberPromotionPrice = &v
	return s
}
func (s *AlibabaWdkMarketingPricePromotionPriceDO) SetMemberPromotionType(v string) *AlibabaWdkMarketingPricePromotionPriceDO {
	s.MemberPromotionType = &v
	return s
}
